<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetTransition Method (IEdmWorkflow6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmWorkflow6 Interface : GetTransition Method (IEdmWorkflow6)

Visual Basic
C#
C++/CLI

lTransitionID
  ID of workflow state transition to get

Gets the workflow state transition with the specified ID.

# Syntax

Visual Basic |
--- | ---

    Function GetTransition( _
       ByVal lTransitionID As System.Integer _
    ) As IEdmTransition6

C# |
--- | ---

    IEdmTransition6 GetTransition(
       System.int lTransitionID
    )

C++/CLI |
--- | ---

    IEdmTransition6^ GetTransition(
    &   System.int lTransitionID
    )

#### Parameters

lTransitionID
  ID of workflow state transition to get

#### Return Value

IEdmTransition6

# Remarks

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmTransition6.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_ID: lTransitionID is invalid.

# See Also

####

IEdmWorkflow6 Interface
IEdmWorkflow6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0